Subject: [OSPF] [Editorial Errata Reported] RFC2328 (2952)

From: RFC Errata System <[email-masked]>
Date: Wed, 31 Aug 2011 12:28:30 -0700 (PDT)

The following errata report has been submitted for RFC2328,
"OSPF Version 2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=2328&eid=2952

--------------------------------------
Type: Editorial
Reported by: Joel Gannett <[email-masked]>

Section: 14.1

Original Text
-------------
Premature aging is also be used when unexpectedly receiving self-originated LSAs during the flooding procedure (see Section 13.4).

Corrected Text
--------------
Premature aging might also be used when unexpectedly receiving self-originated LSAs during the flooding procedure (see Section 13.4).

Notes
-----
Change "is also be used" to "might also be used."

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC2328 (no draft string recorded)
--------------------------------------
Title               : OSPF Version 2
Publication Date    : April 1998
Author(s)           : J. Moy
Category            : STANDARD
Source              : Open Shortest Path First IGP
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Acee Lindem <[email-masked]>
Date: Wed, 31 Aug 2011 16:28:58 -0400

I don't believe I have an Errata Verification logon, https://www.rfc-editor.org/verify_login.php either so it looks like an AD will need to edit or reject this errata. 
Thanks,
Acee

---

From: Acee Lindem <[email-masked]>
Date: Wed, 31 Aug 2011 16:37:31 -0400

Hi Joel,
I agree with this errata as the existing text is grammatically incorrect. However, I believe the intended meaning of the text is clear. I'd probably use "can also be used" as opposed to "might also be used". 
Thanks,
Acee

---

From: "Joel W. Gannett" <[email-masked]>
Date: Wed, 31 Aug 2011 16:39:04 -0400

Acee,

I'll submit a separate errata for Section 3.4, showing the alternate 
correction you suggested, then someone can reject the Section 3.4 errata 
I sent earlier.

By the way, my suggested change would be correct if there was a virtual 
link between RT7 and RT10, right?  The last paragraph of Section 3.4 
talks about the desirability of establishing such a virtual link, but I 
guess this is not an assumed part of the network design.

Joel Gannett

On 8/31/2011 4:28 PM, Acee Lindem wrote:
>> Reported by: Joel Gannett<[email-masked]>
>>
>> Section: 14.1
>>
>> Original Text
>> -------------

-- 
Joel W. Gannett, PhD, Senior Scientist
Telcordia Technologies
Applied Research Area
One Telcordia Drive, Room RRC 1G-306
Piscataway, NJ   08854-4151
voice (732) 699-2693
email [email-masked]
web http://www.research.telcordia.com/bios/jgannett
FAX (732) 336-7015

---

From: Acee Lindem <[email-masked]>
Date: Wed, 31 Aug 2011 16:49:29 -0400

Hi Joel, 
On Aug 31, 2011, at 4:39 PM, Joel W. Gannett wrote:

> Acee,
> 
> I'll submit a separate errata for Section 3.4, showing the alternate correction you suggested, then someone can reject the Section 3.4 errata I sent earlier.

Ok

> 
> By the way, my suggested change would be correct if there was a virtual link between RT7 and RT10, right?

Yes - an area 2 virtual link would yield a cost of 7 rather than 14 between R5 and R10. 

Thanks,
Acee

> The last paragraph of Section 3.4 talks about the desirability of establishing such a virtual link, but I guess this is not an assumed part of the network design.
> 
> Joel Gannett
> 
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: "Joel W. Gannett" <[email-masked]>
Date: Wed, 31 Aug 2011 16:50:00 -0400

Acee,

I was, honestly, a bit confused by the wording.  I thought the text 
might be trying to say that premature aging is the only thing, or the 
typical thing, that would get used.  Both changes you list sound the 
same to me, and correct the confusion.

The wording in Section 13.4 sounds to me like the router would typically 
advance the LSA's LS sequence number to one past the received LSA's LS 
sequence number, then originate a new LSA.  Premature aging, discussed 
in the final paragraph of Section 13.4, sounds like something that gets 
used only in special cases.

Joe